查询AWD库存列表
POST
/basicOpen/openapi/storage/awdWarehouseDetail接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/basicOpen/openapi/storage/awdWarehouseDetail | HTTPS | POST | 1 |
请求参数
widsstringcidstringbidstringattributeintegerasin_principalstringsearch_fieldstring必填search_valuestringstatusstringis_hide_zero_stocknumberoffsetnumberlength,上限200number请求cURL示例
curl --location 'https://openapi.lingxing.com/basicOpen/openapi/storage/awdWarehouseDetail?access_token=value×tamp=value&sign=value&app_key=value' \
--header 'Content-Type: application/json' \
--data '{
"wids": "",
"cid": "",
"bid": "",
"attribute": "",
"asin_principal": "",
"search_field": "sku",
"search_value": "asdkpasdk",
"status": "",
"is_hide_zero_stock": 1,
"offset": 0,
"length": 20
}'
返回结果
Json Object
codeinteger必填messagestring必填error_detailsarray<any>必填request_idstring必填response_timestring必填dataobject必填隐藏子属性
totalinteger必填listarray<object>必填隐藏子属性
wnamestring必填sidinteger必填midinteger必填seller_namestring必填nationstring必填asinstring必填asin_urlstring必填parent_asinstring必填seller_skustring必填fnskustring必填skustring必填product_namestring必填spustring必填spu_namestring必填small_image_urlstring必填pic_urlstring必填product_idinteger必填bidinteger必填product_brand_textstring必填cidinteger必填category_level1string必填category_level2string必填category_level3string必填category_Arrarray<any>必填category_textstring必填attributearray<object>必填隐藏子属性
attr_idinteger必填attr_namestring必填attr_valuestring必填asin_principal_listarray<any>必填total_onhand_quantityinteger必填available_distributable_quantityinteger必填reserved_distributable_quantityinteger必填awd_quantity_shippedinteger必填awd_actual_quantity_shippedinteger必填awd_to_fba_quantity_shippedinteger必填total_onhand_quantity_pricestring必填available_distributable_quantity_pricestring必填reserved_distributable_quantity_pricestring必填awd_quantity_shipped_pricestring必填awd_actual_quantity_shipped_pricestring必填awd_to_fba_quantity_shipped_pricestring必填totalnumber必填返回成功示例
{
"code": 0,
"message": "success",
"error_details": [],
"request_id": "a0d54debf93140f3b58d1ed81e8e3583.155.17286133576874025",
"response_time": "2024-10-11 10:22:38",
"data": {
"total": 1,
"list": [
{
"wname": "韧啸-US美国仓(AWD)",
"sid": 50,
"mid": 1,
"seller_name": "韧啸-US",
"nation": "美国",
"asin": "B0CPT1TVV7",
"asin_url": "https://www.amazon.com/dp/B0CPT1TVV7",
"parent_asin": "B0CPT1TVV7",
"seller_sku": "HM300-BLACK",
"fnsku": "",
"sku": null,
"product_name": null,
"spu": "",
"spu_name": "",
"small_image_url": "https://m.media-amazon.com/images/I/41yXqZiD0JL._SL75_.jpg",
"pic_url": "",
"product_id": 0,
"bid": 0,
"product_brand_text": "",
"cid": 0,
"category_level1": "",
"category_level2": "",
"category_level3": "",
"category_Arr": [],
"category_text": "",
"attribute": [],
"asin_principal_list": [],
"total_onhand_quantity": 24,
"available_distributable_quantity": 14,
"reserved_distributable_quantity": 10,
"awd_quantity_shipped": 0,
"awd_actual_quantity_shipped": 0,
"awd_to_fba_quantity_shipped": 0,
"total_onhand_quantity_price": "0.00",
"available_distributable_quantity_price": "0.00",
"reserved_distributable_quantity_price": "0.00",
"awd_quantity_shipped_price": "0.00",
"awd_actual_quantity_shipped_price": "0.00",
"awd_to_fba_quantity_shipped_price": "0.00"
}
]
},
"total": 0
}